/*
 *  HotPotatoGame.h
 *  ToyCars
 *
 *  Created by Ruben Zilibowitz on 17/12/05.
 *  Copyright 2005 Ruben Zilibowitz. All rights reserved.
 *
 */

#ifndef HOTPOTATOGAME_H
#define HOTPOTATOGAME_H

#include "CarGame.h"

class HotPotatoGame : public CarGame
{
public:
            HotPotatoGame(ScTilemap* inTilemap, Player** inPlayers, int inNumPlayers, Tuple inStartLineA, Tuple inStartLineB, double inFuseTime, const list<Tuple> *inPathPolygon);
    virtual ~HotPotatoGame();
    
	void	detonate(Player* player);
	virtual void	renderEveryTexture();
protected:
	PlayerBomb* bomb;
	Player*		playerWithBomb;
	double		bombFuseLength;
    
    virtual void    collisionAction(list<Contact> &contacts, Player* playerI, Player* playerJ);
	virtual void	drawTime(double theTime);
	virtual void drawDisplay(Player *player);
	void drawLose(Player *player);
	void drawWin(Player *player);
};

#endif
