/*
	Copyright (C) 2005 by Ruben Zilibowitz <rzilibowitz@users.sourceforge.net>
	Part of the Toy Cars Project http://toycars.sourceforge.net

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License.
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY.

	See the COPYING file for more details.
*/

/*
 *  Created by Ruben Zilibowitz on 14/02/05.
 */

#ifndef KABOOM_H
#define KABOOM_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "ScPanel.h"
#include "ScAnimation.h"

class Kaboom : public ScPanel
{
public:
	Kaboom(double inXLoc, double inYLoc, double inLifeSpan, ScAnimation *inAnimation);
	
	void doDraw();
	
	void process(double dt);
	
protected:
	double innerRadius;
	double outerRadius;
	double xLoc, yLoc;
	double lifeSpan;
    ScAnimation *animation;
};

#endif
