/*
	Copyright (C) 2005 by Ruben Zilibowitz <rzilibowitz@users.sourceforge.net>
	Part of the Toy Cars Project http://toycars.sourceforge.net

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License.
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY.

	See the COPYING file for more details.
*/

/*
 *  Created by Ruben Zilibowitz on 8/04/05.
 *
 *  This class draws a minimap of the tilemap and the players inside of it.
 *  The only limitation of the current method is that the minimap cannot easily
 *  be updated if the tilemap is altered in game.
 *
 */
 
#ifndef MINIMAP_H
#define MINIMAP_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "ScTilemap.h"
#include "ScImage.h"
#include "Player.h"

class Minimap
{
public:
	Minimap(const ScTilemap& tilemap, list<Player*>& inPlayersList);
	~Minimap();
	
	void draw(double where_x, double where_y, double scale = 1);
	
protected:
	list<Player*>& playersList;
	ScImage* minimapImage;
	int imageWidth, imageHeight;
	double xscale, yscale;
};

#endif
