/*
	Copyright (C) 2005 by Ruben Zilibowitz <rzilibowitz@users.sourceforge.net>
	Part of the Toy Cars Project http://toycars.sourceforge.net

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License.
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY.

	See the COPYING file for more details.
*/

/*
 *  Created by Ruben on Wed Apr 21 2004.
 */

#ifndef CONTACT_H
#define CONTACT_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "Tuple.h"

// forwards declaration
class RigidBody;

// Contact class
// When a collision between two geometries is detected, the information about the collision may
// be stored in a Contact class which can then calculate the proper collision response and counter
// interpenetration between bodies.

class Contact
{
public:
	Contact(RigidBody* inBodyA, RigidBody* inBodyB, const Tuple& inPa, const Tuple& inPb, const Tuple& inNormal);
    
    bool resolve_collision();
    void resolve_overlap();
    double compute_velocity();
	
protected:
    RigidBody *bodyA, *bodyB;
    const Tuple pa, pb, normal, ra, rb;
    const double K;
};

#endif
