/*
	Copyright (C) 2005 by Ruben Zilibowitz <rzilibowitz@users.sourceforge.net>
	Part of the Toy Cars Project http://toycars.sourceforge.net

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License.
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY.

	See the COPYING file for more details.
*/

/*
 *  Created by Ruben on Sun Aug 29 2004.
 */

#ifndef GEOM_H
#define GEOM_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "Convex.h"

// Geom class
// To manage collisions between non-convex objects, they must be stored
// as a list of convex sub-objects.

class Geom : public list<Convex>
{
public:
    Geom() {}
    Geom(const Convex* array, int size);
    Geom(Convex** arrayPtrs, int size);
    
    void setParent(RigidBody* inParent);
    RigidBody* getParent();
    
    static bool collide(const Geom& geomA, const Geom& geomB, list<Contact>& contacts);
    static bool collide(const Geom& geomA, const Convex& geomB, list<Contact>& contacts);
};

#endif
