/*
	Copyright (C) 2005 by Ruben Zilibowitz <rzilibowitz@users.sourceforge.net>
	Part of the Toy Cars Project http://toycars.sourceforge.net

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License.
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY.

	See the COPYING file for more details.
*/

/*
 *  Created by Ruben Zilibowitz on 23/01/05.
 *
 *  A wrapper class for an image of a needle which can be drawn
 *  at an arbitrary angle using opengl matrix transformations.
 *
 */

#ifndef NEEDLEIMAGE_H
#define NEEDLEIMAGE_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "ScImage.h"

class NeedleImage
{
public:
	NeedleImage();
	~NeedleImage();
	
	void setDegrees(double a) { angle = a; }
	
	void draw();
		
protected:
	ScImage*	needleImage;
	double		angle;
};

#endif
