/*
	Copyright (C) 2005 by Ruben Zilibowitz <rzilibowitz@users.sourceforge.net>
	Part of the Toy Cars Project http://toycars.sourceforge.net

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License.
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY.

	See the COPYING file for more details.
*/

/*
 *  Created by Ruben Zilibowitz on 14/02/05.
 */

#ifndef PLAYERBOMB_H
#define PLAYERBOMB_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "ScSprite.h"
#include "ScAnimation.h"

// forwards declarations
class HotPotatoGame;
class Player;

class PlayerBomb : public ScSprite
{
public:
	PlayerBomb(double inFuse, Player* inFollowPlayer, HotPotatoGame* inGame, ScAnimation *animation);
	void process(double dt);
	void follow(Player* inFollowPlayer) { followPlayer = inFollowPlayer; }
	double getFuse() { return fuse; }
	const Player *getFollowPlayer() { return followPlayer; }

protected:
	double		fuse;
	Player*		followPlayer;
	HotPotatoGame*	game;
    ScAnimation* animation;
};

#endif
