/*
	Copyright (C) 2005 by Ruben Zilibowitz <rzilibowitz@users.sourceforge.net>
	Part of the Toy Cars Project http://toycars.sourceforge.net

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License.
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY.

	See the COPYING file for more details.
*/

/*
 *  Created by Ruben on Sun Jun 13 2004.
 */

#ifndef RECTANGLE_H
#define RECTANGLE_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "Convex.h"

///--------------------------------------------------------------------------------------
//  Rectangle class
//
//  A rectangular polygon
///--------------------------------------------------------------------------------------

class Rectangle : public Convex
{
public:
    Rectangle(double right, double left, double top, double bottom)
    {
        // vertices in anti-clockwise order
        
        push_back(Tuple(left, top));
        push_back(Tuple(left, bottom));
        push_back(Tuple(right, bottom));
        push_back(Tuple(right, top));
    }
};

#endif
