/*
	Copyright (C) 2005 by Ruben Zilibowitz <rzilibowitz@users.sourceforge.net>
	Part of the Toy Cars Project http://toycars.sourceforge.net

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License.
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY.

	See the COPYING file for more details.
*/

/*
 *  ScAnimation.cpp
 *  ToyCars
 *
 *  Created by Ruben Zilibowitz on 6/12/05.
 *
 */

#include "ScAnimation.h"

ScAnimation::ScAnimation()
{
}

ScAnimation::~ScAnimation()
{
    for (ScAnimation::iterator i = begin(); i != end(); i++)
        delete (*i);
}

void ScAnimation::draw()
{
    for (ScAnimation::iterator i = begin(); i != end(); i++)
        (*i)->draw();
}

void ScAnimation::process(double dt)
{
    for (ScAnimation::iterator i = begin(); i != end(); i++)
        (*i)->process(dt);
    
    for (list<ScComponent*>::iterator i = removals.begin(); i != removals.end(); i++) {
        remove(*i);
        delete (*i);
    }
    removals.clear();
}

void ScAnimation::scheduleRemove(ScComponent* component)
{
    removals.push_back(component);
}
