/*
	Copyright (C) 2005 by Ruben Zilibowitz <rzilibowitz@users.sourceforge.net>
	Part of the Toy Cars Project http://toycars.sourceforge.net

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License.
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY.

	See the COPYING file for more details.
*/

/*
 *  ScException.cpp
 *  Scoobie
 *
 *  Created by Ruben Zilibowitz on 15/12/04.
 *
 */

#include "ScException.h"
#include <cstdio>

ScException::ScException(const char* file, const char* function, long line, const char* msg)
	: mFile(file), mFunction(function), mLine(line), mMsg(msg)
{
}

void ScException::printMsg()
{
	// strip the path from the file name
	int k = 0, i = 0;
	while (mFile[i] != '\0')
	{
		if (mFile[i] == '/')
			k = i+1;
		i++;
	}
	
	// output error message
	printf("Exception caught\n");
	printf("File: %s\n", mFile + k);
	printf("Function: %s\n", mFunction);
	printf("Line: %ld\n", mLine);
	printf("Message: %s\n", mMsg);
}
