/*
	Copyright (C) 2005 by Ruben Zilibowitz <rzilibowitz@users.sourceforge.net>
	Part of the Toy Cars Project http://toycars.sourceforge.net

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License.
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY.

	See the COPYING file for more details.
*/

/*
 *  ScException.h
 *  Scoobie
 *
 *  Created by Ruben Zilibowitz on 15/12/04.
 *
 */

#ifndef SCEXCEPTION_H
#define SCEXCEPTION_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

class ScException
{
public:
	ScException(const char* file, const char* function, long line, const char* msg);
	
	void printMsg();
	
private:
	const char*	mFile;
	const char*	mFunction;
	long		mLine;
	const char* mMsg;
};

#define ScThrowErr(msg)		(throw ScException(__FILE__, __FUNCTION__, __LINE__, msg))

#endif
