/*
	Copyright (C) 2005 by Ruben Zilibowitz <rzilibowitz@users.sourceforge.net>
	Part of the Toy Cars Project http://toycars.sourceforge.net

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License.
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY.

	See the COPYING file for more details.
*/

/*
 *  ScImage.h
 *  Scoobie
 *
 *  Created by Ruben Zilibowitz on 26/11/04.
 *
 */

#ifndef SCIMAGE_H
#define SCIMAGE_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "ScTypes.h"

class ScImage
{
public:
			ScImage(short border, const ScPixelData& pixelData, bool flip = true);
			~ScImage();
	
	void	draw(ScFloat loc_x, ScFloat loc_y);	// draw entire image at location
	
protected:
	short	calculateNumCells(short maxtexsize, short distance);
	void	calculateCellSizeAndTC(short maxtexsize, short distance, short* sizes, ScFloat* tc1, ScFloat* tc2);
	
	GLuint*		texs;					// texture names
	
	short		columns, rows;			// number of columns and rows of textures
	
	short*		colSize;	// end position of each column
	ScFloat*	colTC1;		// lower texture coordinates for each column
	ScFloat*	colTC2;		// upper texture coordinates for each column
	
	short*		rowSize;	// end position of each row
	ScFloat*	rowTC1;		// lower texture coordinates for each row
	ScFloat*	rowTC2;		// upper texture coordinates for each row
};

#endif
