/*
	Copyright (C) 2005 by Ruben Zilibowitz <rzilibowitz@users.sourceforge.net>
	Part of the Toy Cars Project http://toycars.sourceforge.net

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License.
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY.

	See the COPYING file for more details.
*/

/*
 *  ScPanel.h
 *  Scoobie
 *
 *  Created by Ruben Zilibowitz on 24/11/04.
 *
 */

#ifndef SCPANEL_H
#define SCPANEL_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "ScTypes.h"
#include "ScComponent.h"

class ScPanel : public ScComponent
{
public:
			ScPanel(const ScRect& inBounds);
			ScPanel(ScFloat width, ScFloat height);
	virtual ~ScPanel() {}
    
	virtual void draw();
	virtual void doDraw() {}
	
	void	moveTo(ScFloat x, ScFloat y);
	void	moveBy(ScFloat dx, ScFloat dy);
	
	void centreAt(ScFloat x, ScFloat y)
	{ moveTo(x - (bounds.right - bounds.left + 1.0)*0.5, y - (bounds.top - bounds.bottom + 1.0)*0.5); }
	
	void	setVisible(bool value) { visible = value; }
	
	const ScRect& getBounds() { return bounds; }
    double getWidth() { return bounds.right - bounds.left; }
    double getHeight() { return bounds.top - bounds.bottom; }
	
protected:
	bool		rectsOverlap(const ScRect& rectA, const ScRect& rectB);
	
	ScRect		bounds;
	bool		visible;
};

#endif
