/*
	Copyright (C) 2005 by Ruben Zilibowitz <rzilibowitz@users.sourceforge.net>
	Part of the Toy Cars Project http://toycars.sourceforge.net

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License.
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY.

	See the COPYING file for more details.
*/

/*
 *  ScPicture.h
 *  Scoobie
 *
 *  Created by Ruben Zilibowitz on 11/12/04.
 *
 */

#ifndef SCPICTURE_H
#define SCPICTURE_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "ScTypes.h"
#include "ScPanel.h"
#include "ScImage.h"

//
// This class allows one to have a panel with a picture drawn inside it.
// The Picture is scaled to match the size of the panel.

class ScPicture : public ScPanel
{
public:
			ScPicture(const ScRect& inBounds, short border, const ScPixelData& pixelData);
	
	virtual void	doDraw();
	
protected:
	ScImage			image;
	ScFloat			imageWidth, imageHeight;
};

#endif
