/*
	Copyright (C) 2005 by Ruben Zilibowitz <rzilibowitz@users.sourceforge.net>
	Part of the Toy Cars Project http://toycars.sourceforge.net

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License.
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY.

	See the COPYING file for more details.
*/

/*
 *  ScSprite.h
 *  Scoobie
 *
 *  Created by Ruben Zilibowitz on 26/11/04.
 *
 */

#ifndef SCSPRITE_H
#define SCSPRITE_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "ScPanel.h"
#include "ScImage.h"

class ScSprite : public ScPanel
{
public:
				// empty constructor
				ScSprite(const ScRect& inBounds);
				ScSprite(ScFloat width, ScFloat height);
				
				// master sprite constructor
				ScSprite(int framewidth, int frameheight, short border, const ScPixelData& pixelData);
				
				// clone constructor
				ScSprite(const ScSprite& copySprite);
	
	virtual		~ScSprite();
	
	virtual void	doDraw();
	
	void setFrame(int newFrame) { curFrame = newFrame; }
	int getNumFrames() { return numFrames; }
	
protected:
	void		load(int framewidth, int frameheight, short border, const ScPixelData& pixelData);
	
	bool	isMaster;
	int		numFrames, curFrame;
	ScImage	**frames;
};

#endif
