/*
	Copyright (C) 2005 by Ruben Zilibowitz <rzilibowitz@users.sourceforge.net>
	Part of the Toy Cars Project http://toycars.sourceforge.net

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License.
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY.

	See the COPYING file for more details.
*/

/*
 *  ScTypes.h
 *  Scoobie
 *
 *  Created by Ruben Zilibowitz on 25/11/04.
 *
 */

#ifndef SCTYPES_H
#define SCTYPES_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef WIN32
#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#endif

#if defined(__APPLE__) && defined(__MACH__)
#include <OpenGL/gl.h>
#else
#include <GL/gl.h>
#endif

typedef double ScFloat;

struct ScRect
{
	ScFloat left, bottom;
	ScFloat right, top;
};

struct ScPortRect
{
	int left, bottom;
	int width, height;
};

struct ScPixelData
{
	int pitch;
	int bytes_pp;
	GLint internalformat;
	GLsizei width;
	GLsizei height;
	GLenum format;
	GLenum type;
	const char* pixels;
};

#ifndef NULL
#define NULL 0
#endif

#endif
