/*
	Copyright (C) 2005 by Ruben Zilibowitz <rzilibowitz@users.sourceforge.net>
	Part of the Toy Cars Project http://toycars.sourceforge.net

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License.
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY.

	See the COPYING file for more details.
*/

/*
 *  ScView.h
 *  Scoobie
 *
 *  Created by Ruben Zilibowitz on 25/11/04.
 *
 */

#ifndef SCVIEW_H
#define SCVIEW_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "ScTypes.h"
#include "ScAnimation.h"

class ScView
{
public:
				ScView(const ScPortRect& inScreen, const ScRect& inView, ScAnimation &inAnimation);
                ~ScView() {}
	
	void        draw();
	
	void		scrollTo(ScFloat centre_x, ScFloat centre_y);
	void		scrollBy(ScFloat dx, ScFloat dy);
	
	ScRect&		getViewRect() { return view; }
	
	static ScRect const *sActiveViewRect;
	
protected:
	ScPortRect	screen;
	ScRect		view;
    ScAnimation &animation;
};

#endif
