/*
	Copyright (C) 2005 by Ruben Zilibowitz <rzilibowitz@users.sourceforge.net>
	Part of the Toy Cars Project http://toycars.sourceforge.net

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License.
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY.

	See the COPYING file for more details.
*/

/*
 *  Created by Ruben Zilibowitz on 31/12/04.
 */

#ifndef WHEELSPRITE_H
#define WHEELSPRITE_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "ScSprite.h"
#include "Tuple.h"

// forwards declarations
class ToyCar;
class Wheel;

class WheelSprite : public ScSprite
{
public:
			WheelSprite(const ToyCar* inParentCarP, const char *spritefilename, short framewidth, short frameheight, const Wheel* inWheelP, double inBaseAngle = 0);
			WheelSprite(const ToyCar* inParentCarP, const Wheel* inWheelP, double inBaseAngle = 0);
			WheelSprite(const WheelSprite& copyWheel, const ToyCar* inParentCarP, const Wheel* inWheelP, double inBaseAngle);
	
	void	process(ScFloat dt);
	
protected:
	const ToyCar*		parentCarP;
	const Wheel*		wheelP;
	Tuple               location_wc;
	double				orientation_wc;
	double              baseAngle;
};

#endif
